<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
</head>
<body>
<div th:fragment="formInput (field, value, label)"
     th:with="type=(${type} ?: 'text'), class=(${class} ?: ''), required=(${required} ?: false),
                min=(${min} ?: ''), max=(${max} ?: '')"
     class="form-group"
     th:classappend="${class}">
    <label th:for="${field}" th:text="${label}">label_text</label>
    <input type="text"
           th:type="${type}"
           th:id="${field}"
           th:name="${field}"
           th:value="${value}"
           class="form-control"
           th:classappend="${errors != null && errors.fieldHasErrors(field) ? 'is-invalid' : ''}"
           th:required="${required}"
           th:min="${min}"
           th:max="${max}">
    <!--/*@thymesVar id="errors" type="com.example.internetshop.models.ErrorMap"*/-->
    <div class="invalid-feedback">
        <ul class="list-unstyled" th:if="${errors != null}">
            <li th:each="e : ${errors.getFieldErrors(field)}" th:text="${e}">error message</li>
        </ul>
    </div>
</div>
</body>
</html>